//
//  HyxenProMeADInterstitialDelegate.h
//  HyxenAdLocus_SDKSample
//
//  Created by Hyxen on 13/2/1.
//
//

#import <Foundation/Foundation.h>
#import <CoreLocation/CoreLocation.h>

@class AdLocusError;
@class ALInterstitial;

@protocol ALInterstitialDelegate <NSObject>

@optional

- (void)interstitialDidReceiveAd:(ALInterstitial *)interstitial ;
- (void)interstitialDidFailToReceiveAd:(ALInterstitial *)interstitial;
- (void)interstitialDidFailToReceiveAd:(ALInterstitial *)interstitial error:(AdLocusError *)error;
- (void)interstitialDidEndAd:(ALInterstitial *)interstitial;

@end
