//
//  ALBannerViewDelegate.h
//  adWhilrSDK_iOS
//
//  Created by  on 2012/2/2.
//  Copyright (c) 2012年 Hyxen Tech Inc.. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreLocation/CoreLocation.h>

@class ALBannerView;
@class AdLocusError;
@protocol ALBannerViewDelegate <NSObject>

@optional

- (void) adViewDidDismissScreen:(ALBannerView *) view;
- (void) adViewWillPresentScreen:(ALBannerView *) view;

// Sent when an ad request loaded an ad.  This is a good opportunity to add this
// view to the hierarchy if it has not yet been added.  If the ad was received
// as a part of the server-side auto refreshing, you can examine the
// hasAutoRefreshed property of the view.
- (void)adViewDidReceiveAd:(ALBannerView *)view;



-(void)adViewDidFailToReceiveAd:(ALBannerView *)view;
-(void)adViewDidFailToReceiveAd:(ALBannerView *)view error:(AdLocusError *)error;
// Sent when an ad request failed.  Normally this is because no network
// connection was available or no ads were available (i.e. no fill).  If the
// error was received as a part of the server-side auto refreshing, you can
// examine the hasAutoRefreshed property of the view.
- (void)adView:(ALBannerView *)view didFailToReceiveAdWithError:(AdLocusError *)error;

/**
 * These notifications will let you know when a user is being shown a full screen
 * webview canvas with an ad because they tapped on an ad.  You should listen to
 * these notifications to determine when to pause/resume your game--if you're
 * building a game app.
 */
- (void)adWillPresentFullScreenModal;
- (void)adDidDismissFullScreenModal;

@end